<!DOCTYPE html>
<html lang="en">
   <head>
      <meta charset="utf-8">
      <meta name="description" content="LiquidCert.it">
      <meta name="author" content="">
      <link rel="icon" href="">
      <title>ANSIACHECK</title>
      <link href="/static/bootstrap.min.css" rel="stylesheet">
      <link href="/static/fontawesome/css/all.css" rel="stylesheet">
      <link href="/static/ansiacheck.css" rel="stylesheet">
   </head>
   <body>
     <nav class="navbar navbar-inverse" style="background-color: #303030;">
       <div class="container-fluid">
         <div class="navbar-header">
            <img style="max-width:60%; padding: 2px" src="/static/logo.png">
         </div>
         <ul class="nav navbar-nav">
           <li><a>ANSIACheck</a></li>
           <li class="active"><a href="/">Home</a></li>
           <li><a href="/about">Credits</a></li>
         </ul>
       </div>
      </nav>

      <div class="container-fluid">
         <div id="sl">
            <br/><br/>
            <div class="well" style="background-color: #303030; color: #ffffff">
              <h3>ANSIACheck</h3>
              <p>ANSIACheck is similar to ANSACheck but:</p>
              <ul>
                <li>this works (sorry ANSA),</li>
                <li>use secure SHA256 instead of the compromised M5 algorithm,</li>
                <li>use opentimestamps protocol and save proof on the Bitcoin blockchain,</li>
                <li>use ZERO bytes on the Bitcoin blockchain,</li>
                <li>can scale indefinitely,</li>
                <li>was developend in 3 hours and </li>
                <li>open-souce, all code is available at <a href="https://gitlab.com/valerio-vaccaro/ansiacheck" target="_blank">gitlab.com/valerio-vaccaro/ansiacheck</a></li>
              </ul>
              <hr>
              <h3>Opentimestamped articles list</h3>
              {{#results}}
              <a class="btn btn-block btn-primary btn-wrap-text" role="button" data-toggle="collapse" href="#collapse_{{id}}" aria-expanded="false" aria-controls="collapse_{{id}}"><canvas width="30" height="30" style="vertical-align: middle;" data-jdenticon-value="{{hash}}"></canvas>{{title}} - {{hash}}</a>
              <div class="collapse" id="collapse_{{id}}">
                <div class="well" style="background-color: #303030; color: #ffffff">
                  <h3>Title: {{title}}</h3>
                  <b>Summary: </b>{{summary}}</p>
                  <a href="{{link}}" target="_blank"><button type="button" class="btn btn-danger btn-lm">Open the in the main website</button></a>
                  <hr/>
                  <h4>Opentimestamps</h4>
                  <p>The article described by the following json</p>
                  <pre>{{json}}</pre>
                  <p>with the following SHA256 {{hash}} was timestamped in the Bitcoin blockchain using the Opetimestamps protocol.</p>
                  <a href="/news/{{hash}}/json" target="_blank"><button type="button" class="btn btn-info btn-lm">Download the json</button></a>
                  <a href="/news/{{hash}}/ots" target="_blank"><button type="button" class="btn btn-primary btn-lm">Download the opentimestamps proof</button></a>
                  <hr/>
                  <a href="/news/{{hash}}"><button type="button" class="btn btn-success btn-block">Check this article on ANSIACHECK</button></a>
                </div>
              </div>
              {{/results}}
              <br/>
              Pages:
              {{#links}}
                <a href="/?page={{id}}">{{id}}</a>
              {{/links}}
            </div>
         </div>
      </div>
      </div>
      <script src="/static/jquery.min.js"></script>
      <script src="/static/bootstrap.min.js"></script>
      <script type="text/javascript" src="/static/jdenticon.min.js"></script>
   </body>
</html>
